net.snowflake.client.core

## Class Incident

- java.lang.Object
- - net.snowflake.client.core.Event
  - - net.snowflake.client.core.Incident

    public class Incident
    extends Event

### Nested Class Summary

### Nested classes/interfaces inherited from class net.snowflake.client.core.Event

`Event.EventType`

### Constructor Summary

Constructors
Constructor and Description
`Incident(SFSession session, Throwable exc, String jobId, String requestId)` Submit an exception to GS from a Throwable, this is the only constructor that should be used to report incidents
`Incident(String serverUrl, String sessionToken, Throwable exc, String jobId, String requestId)` Submit an exception to GS from a Throwable, this is the only constructor that should be used to report incidents

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `flush()` Sends incident to GS to log

### Methods inherited from class net.snowflake.client.core.Event

`getMessage, getType, setMessage, setType, writeEventDumpLine`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Incident

    public Incident(SFSession session,
                    Throwable exc,
                    String jobId,
                    String requestId)

Submit an exception to GS from a Throwable, this is the only constructor that should be used to report incidents

Parameters:
  `exc` - a Throwable we want to report
  `jobId` - job id String
  `requestId` - request id string

#### Incident

    public Incident(String serverUrl,
                    String sessionToken,
                    Throwable exc,
                    String jobId,
                    String requestId)

Submit an exception to GS from a Throwable, this is the only constructor that should be used to report incidents

Parameters:
  `serverUrl` - GS's url
  `sessionToken` - GS's session token
  `exc` - an Throwable we want to report
  `jobId` - job id String
  `requestId` - request id string

### Method Detail

#### flush

    public void flush()

Sends incident to GS to log

Specified by:
  `flush` in class `Event`